Subject: Re: linux-next: manual merge of the tip tree with the pci tree

From: Borislav Petkov <[email-masked]>
Date: Mon, 30 Nov 2020 11:21:20 +0100

On Mon, Nov 30, 2020 at 03:03:36PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/x86/pci/i386.c
> 
> between commit:
> 
>   ace091d17272 ("x86/PCI: Fix kernel-doc markup")
> 
> from the pci tree and commit:
> 
>   638920a66a17 ("x86/PCI: Make a kernel-doc comment a normal one")
> 
> from the tip tree.

Bjorn, I fixed up the comment too, while picking up, see below. But I
don't care all that much which one to take so I leave it up to you to
decide. :-)

Thx.

commit 638920a66a17c8e1f4415cbab0d49dc4a344c2a7
Author: Alex Shi <[email-masked]>
Date:   Fri Nov 13 16:58:14 2020 +0800

    x86/PCI: Make a kernel-doc comment a normal one
    
    The comment is using kernel-doc markup but that comment isn't a
    kernel-doc comment so make it a normal one to avoid:
    
      arch/x86/pci/i386.c:373: warning: Function parameter or member \
              'pcibios_assign_resources' not described in 'fs_initcall'
    
     [ bp: Massage and fixup comment while at it. ]
    
    Signed-off-by: Alex Shi <[email-masked]>
    Signed-off-by: Borislav Petkov <[email-masked]>
    Link: https://lkml.kernel.org/r/[email-masked]

diff --git a/arch/x86/pci/i386.c b/arch/x86/pci/i386.c
index fa855bbaebaf..f2f4a5d50b27 100644
--- a/arch/x86/pci/i386.c
+++ b/arch/x86/pci/i386.c
@@ -366,9 +366,9 @@ static int __init pcibios_assign_resources(void)
 	return 0;
 }
 
-/**
- * called in fs_initcall (one below subsys_initcall),
- * give a chance for motherboard reserve resources
+/*
+ * This is an fs_initcall (one below subsys_initcall) in order to reserve
+ * resources properly.
  */
 fs_initcall(pcibios_assign_resources);

-- 
Regards/Gruss,
    Boris.

SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg